Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyle.SubControl

    java.lang.Object
      com.trolltech.qt.gui.QStyle.SubControl

Enclosing class:
  QStyle

    public static class QStyle.SubControl

extends java.lang.Object

This enum describes the available sub controls. A subcontrol is a control element within a complex control (`ComplexControl` ).

See also:
  `ComplexControl` .

Field Summary
`static int` | `SC_All`
`static int` | `SC_ComboBoxArrow`
`static int` | `SC_ComboBoxEditField`
`static int` | `SC_ComboBoxFrame`
`static int` | `SC_ComboBoxListBoxPopup`
`static int` | `SC_DialGroove`
`static int` | `SC_DialHandle`
`static int` | `SC_DialTickmarks`
`static int` | `SC_GroupBoxCheckBox`
`static int` | `SC_GroupBoxContents`
`static int` | `SC_GroupBoxFrame`
`static int` | `SC_GroupBoxLabel`
`static int` | `SC_MdiCloseButton`
`static int` | `SC_MdiMinButton`
`static int` | `SC_MdiNormalButton`
`static int` | `SC_None`
`static int` | `SC_Q3ListView`
`static int` | `SC_Q3ListViewBranch`
`static int` | `SC_Q3ListViewExpand`
`static int` | `SC_ScrollBarAddLine`
`static int` | `SC_ScrollBarAddPage`
`static int` | `SC_ScrollBarFirst`
`static int` | `SC_ScrollBarGroove`
`static int` | `SC_ScrollBarLast`
`static int` | `SC_ScrollBarSlider`
`static int` | `SC_ScrollBarSubLine`
`static int` | `SC_ScrollBarSubPage`
`static int` | `SC_SliderGroove`
`static int` | `SC_SliderHandle`
`static int` | `SC_SliderTickmarks`
`static int` | `SC_SpinBoxDown`
`static int` | `SC_SpinBoxEditField`
`static int` | `SC_SpinBoxFrame`
`static int` | `SC_SpinBoxUp`
`static int` | `SC_TitleBarCloseButton`
`static int` | `SC_TitleBarContextHelpButton`
`static int` | `SC_TitleBarLabel`
`static int` | `SC_TitleBarMaxButton`
`static int` | `SC_TitleBarMinButton`
`static int` | `SC_TitleBarNormalButton`
`static int` | `SC_TitleBarShadeButton`
`static int` | `SC_TitleBarSysMenu`
`static int` | `SC_TitleBarUnshadeButton`
`static int` | `SC_ToolButton`
`static int` | `SC_ToolButtonMenu`

Constructor Summary
`QStyle.SubControl()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SC_None

    public static final int SC_None

See Also:
  Constant Field Values

### SC_ScrollBarAddLine

    public static final int SC_ScrollBarAddLine

See Also:
  Constant Field Values

### SC_ScrollBarSubLine

    public static final int SC_ScrollBarSubLine

See Also:
  Constant Field Values

### SC_ScrollBarAddPage

    public static final int SC_ScrollBarAddPage

See Also:
  Constant Field Values

### SC_ScrollBarSubPage

    public static final int SC_ScrollBarSubPage

See Also:
  Constant Field Values

### SC_ScrollBarFirst

    public static final int SC_ScrollBarFirst

See Also:
  Constant Field Values

### SC_ScrollBarLast

    public static final int SC_ScrollBarLast

See Also:
  Constant Field Values

### SC_ScrollBarSlider

    public static final int SC_ScrollBarSlider

See Also:
  Constant Field Values

### SC_ScrollBarGroove

    public static final int SC_ScrollBarGroove

See Also:
  Constant Field Values

### SC_SpinBoxUp

    public static final int SC_SpinBoxUp

See Also:
  Constant Field Values

### SC_SpinBoxDown

    public static final int SC_SpinBoxDown

See Also:
  Constant Field Values

### SC_SpinBoxFrame

    public static final int SC_SpinBoxFrame

See Also:
  Constant Field Values

### SC_SpinBoxEditField

    public static final int SC_SpinBoxEditField

See Also:
  Constant Field Values

### SC_ComboBoxFrame

    public static final int SC_ComboBoxFrame

See Also:
  Constant Field Values

### SC_ComboBoxEditField

    public static final int SC_ComboBoxEditField

See Also:
  Constant Field Values

### SC_ComboBoxArrow

    public static final int SC_ComboBoxArrow

See Also:
  Constant Field Values

### SC_ComboBoxListBoxPopup

    public static final int SC_ComboBoxListBoxPopup

See Also:
  Constant Field Values

### SC_SliderGroove

    public static final int SC_SliderGroove

See Also:
  Constant Field Values

### SC_SliderHandle

    public static final int SC_SliderHandle

See Also:
  Constant Field Values

### SC_SliderTickmarks

    public static final int SC_SliderTickmarks

See Also:
  Constant Field Values

### SC_ToolButton

    public static final int SC_ToolButton

See Also:
  Constant Field Values

### SC_ToolButtonMenu

    public static final int SC_ToolButtonMenu

See Also:
  Constant Field Values

### SC_TitleBarSysMenu

    public static final int SC_TitleBarSysMenu

See Also:
  Constant Field Values

### SC_TitleBarMinButton

    public static final int SC_TitleBarMinButton

See Also:
  Constant Field Values

### SC_TitleBarMaxButton

    public static final int SC_TitleBarMaxButton

See Also:
  Constant Field Values

### SC_TitleBarCloseButton

    public static final int SC_TitleBarCloseButton

See Also:
  Constant Field Values

### SC_TitleBarNormalButton

    public static final int SC_TitleBarNormalButton

See Also:
  Constant Field Values

### SC_TitleBarShadeButton

    public static final int SC_TitleBarShadeButton

See Also:
  Constant Field Values

### SC_TitleBarUnshadeButton

    public static final int SC_TitleBarUnshadeButton

See Also:
  Constant Field Values

### SC_TitleBarContextHelpButton

    public static final int SC_TitleBarContextHelpButton

See Also:
  Constant Field Values

### SC_TitleBarLabel

    public static final int SC_TitleBarLabel

See Also:
  Constant Field Values

### SC_Q3ListView

    public static final int SC_Q3ListView

See Also:
  Constant Field Values

### SC_Q3ListViewBranch

    public static final int SC_Q3ListViewBranch

See Also:
  Constant Field Values

### SC_Q3ListViewExpand

    public static final int SC_Q3ListViewExpand

See Also:
  Constant Field Values

### SC_DialGroove

    public static final int SC_DialGroove

See Also:
  Constant Field Values

### SC_DialHandle

    public static final int SC_DialHandle

See Also:
  Constant Field Values

### SC_DialTickmarks

    public static final int SC_DialTickmarks

See Also:
  Constant Field Values

### SC_GroupBoxCheckBox

    public static final int SC_GroupBoxCheckBox

See Also:
  Constant Field Values

### SC_GroupBoxLabel

    public static final int SC_GroupBoxLabel

See Also:
  Constant Field Values

### SC_GroupBoxContents

    public static final int SC_GroupBoxContents

See Also:
  Constant Field Values

### SC_GroupBoxFrame

    public static final int SC_GroupBoxFrame

See Also:
  Constant Field Values

### SC_MdiMinButton

    public static final int SC_MdiMinButton

See Also:
  Constant Field Values

### SC_MdiNormalButton

    public static final int SC_MdiNormalButton

See Also:
  Constant Field Values

### SC_MdiCloseButton

    public static final int SC_MdiCloseButton

See Also:
  Constant Field Values

### SC_All

    public static final int SC_All

See Also:
  Constant Field Values

Constructor Detail

### QStyle.SubControl

    public QStyle.SubControl()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD